package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_grading_qsn_basic_dtls")
public class MaintGradingQsnBasicDtls implements Serializable {
 	 	  
	private static final long serialVersionUID = 8034838275732198901L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	  	
	@Id
	@Column(name="sl_no")
	private Integer slNo;	
	
	@Column(name="disp_seq_no")
	private String dispSeqNo;
	
 
	@Column(name="display_content_type")
	private String displayContentType;
	
	@Column(name="display_content")
	private String displayContent;
	
	@Column(name="display_value_key")
	private String  displayValueKey;
	
	@Column(name="checkbox")
	private String checkbox;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public Integer getSlNo() {
		return slNo;
	}

	public void setSlNo(Integer slNo) {
		this.slNo = slNo;
	}

	public String getDispSeqNo() {
		return dispSeqNo;
	}

	public void setDispSeqNo(String dispSeqNo) {
		this.dispSeqNo = dispSeqNo;
	}

	public String getDisplayContentType() {
		return displayContentType;
	}

	public void setDisplayContentType(String displayContentType) {
		this.displayContentType = displayContentType;
	}

	public String getDisplayContent() {
		return displayContent;
	}

	public void setDisplayContent(String displayContent) {
		this.displayContent = displayContent;
	}

	public String getDisplayValueKey() {
		return displayValueKey;
	}

	public void setDisplayValueKey(String displayValueKey) {
		this.displayValueKey = displayValueKey;
	}

	public String getCheckbox() {
		return checkbox;
	}

	public void setCheckbox(String checkbox) {
		this.checkbox = checkbox;
	} 
	  
}
